org.eclipse.draw2d

## Class ScrollBar.ThumbDragger

- java.lang.Object
- - org.eclipse.draw2d.MouseMotionListener.Stub
  - - org.eclipse.draw2d.ScrollBar.ThumbDragger

All Implemented Interfaces:
  MouseListener, MouseMotionListener

Enclosing class:
  ScrollBar

    protected class ScrollBar.ThumbDragger
    extends MouseMotionListener.Stub
    implements MouseListener

Since:
  3.6

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.MouseListener

`MouseListener.Stub`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.MouseMotionListener

`MouseMotionListener.Stub`

### Field Summary

Fields
`protected boolean` `armed`
`protected int` `dragRange`
`protected int` `revertValue`
`protected Point` `start`

### Constructor Summary

Constructors
Constructor and Description
`ScrollBar.ThumbDragger()`

### Method Summary

Methods
`void` `mouseDoubleClicked(MouseEvent me)` Called when a mouse button has been double clicked over the listened to object.
`void` `mouseDragged(MouseEvent me)` Called when the mouse has moved over the listened to object while a button was pressed.
`void` `mousePressed(MouseEvent me)` Called when a mouse button has been pressed while over the listened to object.
`void` `mouseReleased(MouseEvent me)` Called when a pressed mouse button has been released.

### Methods inherited from class org.eclipse.draw2d.MouseMotionListener.Stub

`mouseEntered, mouseExited, mouseHover, mouseMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### start

    protected Point start

#### dragRange

    protected int dragRange

#### revertValue

    protected int revertValue

#### armed

    protected boolean armed

### Constructor Detail

#### ScrollBar.ThumbDragger

    public ScrollBar.ThumbDragger()

### Method Detail

#### mousePressed

    public void mousePressed(MouseEvent me)

Description copied from interface: `MouseListener`
Called when a mouse button has been pressed while over the listened to object.

Specified by:
  `mousePressed` in interface `MouseListener`
Parameters:
  `me` - The MouseEvent object

#### mouseDragged

    public void mouseDragged(MouseEvent me)

Description copied from interface: `MouseMotionListener`
Called when the mouse has moved over the listened to object while a button was pressed.

Specified by:
  `mouseDragged` in interface `MouseMotionListener`
Overrides:
  `mouseDragged` in class `MouseMotionListener.Stub`
Parameters:
  `me` - The MouseEvent object
See Also:
  `MouseMotionListener.mouseDragged(MouseEvent)`

#### mouseReleased

    public void mouseReleased(MouseEvent me)

Description copied from interface: `MouseListener`
Called when a pressed mouse button has been released.

Specified by:
  `mouseReleased` in interface `MouseListener`
Parameters:
  `me` - The MouseEvent object

#### mouseDoubleClicked

    public void mouseDoubleClicked(MouseEvent me)

Description copied from interface: `MouseListener`
Called when a mouse button has been double clicked over the listened to object.

Specified by:
  `mouseDoubleClicked` in interface `MouseListener`
Parameters:
  `me` - The MouseEvent object